summaryrefslogtreecommitdiff
path: root/functions/aliases.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-11-10 15:40:53 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:22:28 +0100
commit889489c8ce3339ca3b6cab45ec58e73cca40a51a (patch)
treede2933b3f24f5168728a46565eb662c38195cf37 /functions/aliases.sh
parent7fc3e5c0e408a206184fddf6cda1ffc8831078bd (diff)
downloadlive-build-889489c8ce3339ca3b6cab45ec58e73cca40a51a.zip
live-build-889489c8ce3339ca3b6cab45ec58e73cca40a51a.tar.gz
Using shell redirection to truncate rather than additional commands/forks/files, thanks to Justin Pryzby <jpryzby@quoininc.com>.
Diffstat (limited to 'functions/aliases.sh')
-rwxr-xr-xfunctions/aliases.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/functions/aliases.sh b/functions/aliases.sh
new file mode 100755
index 0000000..04efc24
--- /dev/null
+++ b/functions/aliases.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# aliases.sh - internal shell aliases
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+Truncate ()
+{
+ for FILE in ${@}
+ do
+ : > ${FILE}
+ done
+}